# SPDX-FileCopyrightText: 2025 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ config, nixpkgs, ... }:

let
  host = "gist.dgnum.eu";
in

{
  services.opengist = {
    enable = true;

    inherit host;

    package = nixpkgs.nixos.unstable.opengist;

    environmentFile = config.age.secrets."opengist-environment_file".path;

    settings = {
      gitea.url = "https://git.dgnum.eu";
    };
  };

  services.nginx.virtualHosts.${host} = {
    enableACME = true;
    forceSSL = true;
  };
}
