# SPDX-FileCopyrightText: 2024 Maurice Debray <maurice.debray@dgnum.eu>
# SPDX-FileCopyrightText: 2025 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ lib, ... }:

let
  inherit (lib)
    attrValues
    catAttrs
    concatLists
    getAttrs
    isAttrs
    ;

  cache-info = {
    infra = {
      keys = [
        "infra.snix-store.dgnum.eu-1:8CAY64o3rKjyw2uA5mzr/aTzstnc+Uj4g8OC6ClG1m8="
        "infra.tvix-store.dgnum.eu-1:8CAY64o3rKjyw2uA5mzr/aTzstnc+Uj4g8OC6ClG1m8="
      ];
      url = "https://snix-store.dgnum.eu/infra";
    };
  };
in

caches':

let
  caches = if isAttrs caches' then caches'.caches else caches';

  selected = attrValues (getAttrs caches cache-info);
in

{
  substituters = catAttrs "url" selected;
  trusted-public-keys = concatLists (catAttrs "keys" selected);
}
