# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ meta, name, ... }:

let
  port = 8428;
  storageDataPath = "/data/fast/victoriametrics";
in

{
  services.victoriametrics = {
    enable = true;

    flags = {
      inherit storageDataPath;

      # INFO: We keep the data for 2 years (24 months)
      retentionPeriod = "24";
      httpListenAddr = "${meta.network.${name}.netbirdIp}:${builtins.toString port}";
    };
  };

  systemd.services.victoriametrics.serviceConfig.ReadWritePaths = [ storageDataPath ];

  networking.firewall.interfaces.wt0.allowedTCPPorts = [ port ];
}
