# SPDX-FileCopyrightText: 2025 Maurice Debray <maurice@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ config, lib, ... }:

let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.dgn-ens-ntp;
in

{
  options.dgn-ens-ntp.enable = mkEnableOption "the use of ens and hackens NTP servers.";

  config = mkIf cfg.enable {
    networking.timeServers = [
      "ntp.ens.fr"
      "cave.hackens.org"
    ];

  };
}
