# SPDX-FileCopyrightText: 2025 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

import json
import sys
from concurrent.futures import ThreadPoolExecutor

import markdown


def replace(option):
    desc = option["description"]

    option["descriptionHTML"] = markdown.markdown(desc)

    return option


if __name__ == "__main__":
    path = sys.argv[1]
    out = sys.argv[2]

    with open(path) as fp:
        data = json.load(fp)

    # Replace all file paths in descriptionHTML
    with ThreadPoolExecutor() as executor:
        options = executor.map(replace, data["options"])

    data["options"] = list(options)

    with open(out, "w") as fp:
        json.dump(data, fp)
