# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

with {
  local = path: {
    _type = "static";
    inherit path;
  };

  npr = id: hash: { inherit id hash; };
};

{
  lix = [
    (local ./lix/01-disable-installChecks.patch)
    (local ./lix/02-fetchGit-locked.patch)
  ];

  "nixos-25.05" = [
    # Crabfit: don't depend on all google-fonts
    (local ./nixpkgs/03-crabfit-karla.patch)

    # pretalx env file option
    (local ./nixpkgs/01-pretalx-environment-file.patch)

    # Kanidm memberless groups provisionning
    (local ./nixpkgs/07-25.05-kanidm-groups-module.patch)
    (local ./nixpkgs/08-25.05-kanidm-groups-pkgs.patch)
  ];

  "nixos-24.11" = [
    # Crabfit: don't depend on all google-fonts
    (local ./nixpkgs/03-crabfit-karla.patch)

    # pretalx env file option
    (local ./nixpkgs/01-pretalx-environment-file.patch)

    # Kanidm memberless groups provisionning
    (local ./nixpkgs/07-kanidm-groups-module.patch)
    (local ./nixpkgs/08-kanidm-groups-pkgs.patch)
  ];

  "nixos-unstable" = [
    # Build netbird-relay
    (local ./nixpkgs/05-netbird-relay.patch)
  ];

  "agenix" = [
    {
      _type = "url";
      url = "https://github.com/ryantm/agenix/pull/292.patch";
      hash = "sha256-e45hiHF0HbCYb+3RRhy+8nNIFvefb6SZSN3xcl1mpvI=";
    }
  ];

  "npins" = [
    (local ./npins/00-master.patch)
    (local ./npins/01-sri-hashes.patch)
  ];
}
